# mlx.core.fft.ifft — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.fft.ifft

mlx.core.fft.ifft(a: array, n: Optional[ int ] = None, axis: int = - 1, stream: Union[ None , Stream , Device ] = None) → array

  One dimensional inverse discrete Fourier Transform.

  Parameters:

    - a (array) – The input array.

    - n (int , optional) – Size of the transformed axis. The corresponding axis in the input is truncated or padded with zeros to match `n`. The default value is `a.shape[axis]`.

    - axis (int , optional) – Axis along which to perform the FFT. The default is `-1`.

  Returns:

    The inverse DFT of the input along the given axis.

  Return type:

    array